import multiprocessing as mp

simulated_state_instance = None


def get_simulated_state():
    global simulated_state_instance
    if simulated_state_instance is None:
        simulated_state_instance = SimulatedState()
    return simulated_state_instance


class SimulatedState:
    def __init__(self):
        ctx = mp.get_context('spawn')
        self.simulated_time = ctx.Value('d', 0.0)
        self.simulated_temperature = ctx.Value('d', 25.)
        self.simulated_humidity = ctx.Value('d', 35.)
